> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detailed Tip Export Data

> Get detailed tip export data showing individual tip transactions for each provider.

Without BILLING_PAY_VIEW_ALL permission, only returns current user's tips.



## OpenAPI

````yaml get /billing/tips/export/detailed
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/tips/export/detailed:
    get:
      tags:
        - provider
        - billing
      summary: Get Detailed Tip Export Data
      description: >-
        Get detailed tip export data showing individual tip transactions for
        each provider.
      operationId: get_detailed_tip_export_data_billing_tips_export_detailed_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: Start date for tip export (YYYY-MM-DD)
            title: Start Date
          description: Start date for tip export (YYYY-MM-DD)
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: End date for tip export (YYYY-MM-DD)
            title: End Date
          description: End date for tip export (YYYY-MM-DD)
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date range
            title: Timezone
          description: Timezone for date range
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Optional location IDs to filter tips by
            title: Location Ids
          description: Optional location IDs to filter tips by
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TipDetailedExportData'
                title: >-
                  Response Get Detailed Tip Export Data Billing Tips Export
                  Detailed Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TipDetailedExportData:
      properties:
        tipId:
          type: string
          title: Tipid
          description: Tip ID
        providerId:
          type: string
          title: Providerid
          description: Provider ID
        providerName:
          type: string
          title: Providername
          description: Provider full name
        providerEmail:
          type: string
          title: Provideremail
          description: Provider email
        tipAmount:
          type: integer
          title: Tipamount
          description: Individual tip amount in cents
        patientName:
          type: string
          title: Patientname
          description: Patient name
        chargeId:
          type: string
          title: Chargeid
          description: Charge ID
        locationName:
          type: string
          title: Locationname
          description: Location name
        tipDate:
          type: string
          title: Tipdate
          description: Date when tip was created
        startDate:
          type: string
          title: Startdate
          description: Export period start date
        endDate:
          type: string
          title: Enddate
          description: Export period end date
      type: object
      required:
        - tipId
        - providerId
        - providerName
        - providerEmail
        - tipAmount
        - patientName
        - chargeId
        - locationName
        - tipDate
        - startDate
        - endDate
      title: TipDetailedExportData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````